Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Class InvocationContext

    java.lang.Object
      org.jboss.cache.InvocationContext

    public class InvocationContext

extends java.lang.Object

This context holds information specific to a method invocation.

Author:
  Manik Surtani (manik@jboss.org)

Constructor Summary
`InvocationContext()`

Method Summary
`GlobalTransaction` | `getGlobalTransaction()` Retrieves the global transaction associated with this invocation
`Option` | `getOptionOverrides()` Retrieves the option overrides associated with this invocation
`javax.transaction.Transaction` | `getTransaction()` Retrieves the transaction associated with this invocation
`boolean` | `isLocalRollbackOnly()`
`boolean` | `isOriginLocal()` Tests if this invocation originated locally or from a remote cache.
`boolean` | `isTxHasMods()`
`void` | `setGlobalTransaction(GlobalTransaction globalTransaction)` Sets the global transaction associated with this invocation
`void` | `setLocalRollbackOnly(boolean localRollbackOnly)`
`void` | `setOptionOverrides(Option optionOverrides)` Sets the option overrides associated with this invocation
`void` | `setOriginLocal(boolean originLocal)` If set to true, the invocation is assumed to have originated locally.
`void` | `setTransaction(javax.transaction.Transaction transaction)` Sets the transaction associated with this invocation
`void` | `setTxHasMods(boolean b)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvocationContext

    public InvocationContext()

Method Detail

### setLocalRollbackOnly

    public void setLocalRollbackOnly(boolean localRollbackOnly)

### getTransaction

    public javax.transaction.Transaction getTransaction()

  Retrieves the transaction associated with this invocation

  Returns:
    The transaction associated with this invocation

### setTransaction

    public void setTransaction(javax.transaction.Transaction transaction)

  Sets the transaction associated with this invocation

  Parameters:
    `transaction` -

### getGlobalTransaction

    public GlobalTransaction getGlobalTransaction()

  Retrieves the global transaction associated with this invocation

  Returns:
    the global transaction associated with this invocation

### setGlobalTransaction

    public void setGlobalTransaction(GlobalTransaction globalTransaction)

  Sets the global transaction associated with this invocation

  Parameters:
    `globalTransaction` -

### getOptionOverrides

    public Option getOptionOverrides()

  Retrieves the option overrides associated with this invocation

  Returns:
    the option overrides associated with this invocation

### setOptionOverrides

    public void setOptionOverrides(Option optionOverrides)

  Sets the option overrides associated with this invocation

  Parameters:
    `optionOverrides` -

### isOriginLocal

    public boolean isOriginLocal()

  Tests if this invocation originated locally or from a remote cache.

  Returns:
    true if the invocation originated locally.

### setOriginLocal

    public void setOriginLocal(boolean originLocal)

  If set to true, the invocation is assumed to have originated locally. If set to false, assumed to have originated from a remote cache.

  Parameters:
    `originLocal` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isTxHasMods

    public boolean isTxHasMods()

### setTxHasMods

    public void setTxHasMods(boolean b)

### isLocalRollbackOnly

    public boolean isLocalRollbackOnly()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.